-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost
-- Généré le :  sam. 16 sep. 2017 à 14:51
-- Version du serveur :  5.6.36
-- Version de PHP :  7.1.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `dufourc_inscrip`
--

-- --------------------------------------------------------

--
-- Structure de la table `cours`
--

CREATE TABLE `cours` (
  `no_cours` varchar(5) NOT NULL,
  `local` varchar(6) DEFAULT NULL,
  `no_prof` varchar(5) DEFAULT NULL,
  `titre` varchar(30) DEFAULT NULL,
  `descr` varchar(300) NOT NULL COMMENT 'Description officielle du cours',
  `jour` tinyint(1) NOT NULL,
  `heure` time NOT NULL,
  `statut` varchar(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `cours`
--

INSERT INTO `cours` (`no_cours`, `local`, `no_prof`, `titre`, `descr`, `jour`, `heure`, `statut`) VALUES
('20001', 'T-5334', '30001', 'Histoire 101', 'Histoire du Québec contemporain. Dimensions démographique, culturelle, économique et sociétale. Analyse comparée. Canada. France. Royaume-Uni', 1, '09:00:00', 'optionnel'),
('20002', 'T-5334', '30002', 'Éthique 302', 'Réflexions sur les principes éthiques régissant la société. Lien entre éthique et droit. Initiation aux cadres juridique, normatif et éthique pertinents aux environnements numériques', 1, '13:00:00', 'obligatoire'),
('20003', NULL, '30001', 'Philosophie 813', 'Principaux courants philosophiques de l\'antiquité à nos jours. Philosophes clés. Impact sur la société contemporaine québécoise', 1, '09:00:00', 'optionnel'),
('20004', 'C-2044', NULL, 'Français 304', 'Apprentissage du français en contexte professionnel. Lecture, analyse, rédaction de textes sur différents supports (analogiques et numériques), pour différents lectorats (gestionnaires, clients, etc.) et sous différentes perspectives (marketing, critique, stratégique)', 2, '09:00:00', 'obligatoire'),
('20005', 'C-2044', '30003', 'Mathématique 307', 'Liens entre les mathématiques et la technologie (informatique, cryptographie, traitement d\'images, etc.). Culture mathématique générale. Théorie des représentations', 4, '13:00:00', 'obligatoire'),
('20006', 'H-2034', '30002', 'Piano 110', 'Techniques de base du piano. Exercices pratiques. Lecture à vue. Gammes. Arpèges. Solfège. Théorie musicale. Histoire du piano classique et populaire', 3, '13:00:00', 'optionnel'),
('20007', NULL, NULL, 'Chimie 007', 'Structure des atomes. Fonctions et liaisons chimiques. Chimie des solutions. Équilibre. Problématiques contemporaines (chimie de l’eau, pollution de l’air et de l’eau, plastiques et polymères, etc.). Regard critique', 3, '13:00:00', 'optionnel');

-- --------------------------------------------------------

--
-- Structure de la table `etud`
--

CREATE TABLE `etud` (
  `no_etud` varchar(5) NOT NULL,
  `nom` varchar(30) NOT NULL,
  `adresse` varchar(30) DEFAULT NULL,
  `dat_nais` date DEFAULT NULL,
  `prog` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `etud`
--

INSERT INTO `etud` (`no_etud`, `nom`, `adresse`, `dat_nais`, `prog`) VALUES
('10001', 'Wagner, Richard', '1200 de l\'Opéra, Bayreuth', '1980-01-01', 'Musique'),
('10002', 'Bretécher, Claire', '2400 du Fou-rire, Paris', '1950-01-01', 'Littérature'),
('10003', 'Tremblay, Michel', '4800 St-Laurent, Montréal', '1970-01-01', 'Sciences humaines'),
('10004', 'Asimov, Isaac', '9600 du Futur, Los Angeles', NULL, 'Sciences'),
('10005', 'Simenon, Georges', '9700 des Lilas, Montréal', '1960-01-01', 'Littérature'),
('10006', 'Smithwick, Dale', '4300 Crescent, Montréal', NULL, 'Sciences');

-- --------------------------------------------------------

--
-- Structure de la table `prof`
--

CREATE TABLE `prof` (
  `no_prof` varchar(5) NOT NULL,
  `nom` varchar(30) NOT NULL,
  `bureau` varchar(6) DEFAULT NULL,
  `bio` varchar(500) DEFAULT NULL COMMENT 'Courte biographie'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `prof`
--

INSERT INTO `prof` (`no_prof`, `nom`, `bureau`, `bio`) VALUES
('30001', 'Simard, Vianney', 'H-2034', 'Titulaire d’un doctorat en philosophie de la Sorbonne, le professeur Vianney Simard se spécialise dans l’histoire de la philosophie, tout particulièrement la période de l’antiquité. Il compte à son actif plusieurs livres à succès, dont « De Platon à Plotin : le néoplatonisme et la contemplation », traduit en plus de 10 langues'),
('30002', 'Turmel, Rémi', 'T-5334', 'Musicien passionné et aguerri, le professeur Rémi Turmel a intégré à ses domaines de prédilection l’éthique en réaction à l’émergence de nouveaux modes de production et de diffusion de la musique, comme la culture du remix, qui viennent parfois bousculer les normes éthiques établies'),
('30003', 'Asimov, Isaac', 'A-1000', 'Nul besoin de présentation pour le professeur Isaac Asimov, plus que connu pour ses réalisations sur la théorie de l’émergence cognitive. Pur produit de CalSci, il voit la vie par les lunettes des mathématiques et possède un talent de vulgarisateur scientifique hors pair'),
('30004', 'Valjean, Jean', 'H-2034', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `suit`
--

CREATE TABLE `suit` (
  `no_etud` varchar(5) NOT NULL,
  `no_cours` varchar(5) NOT NULL,
  `note` double NOT NULL,
  `note_p` bit(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `suit`
--

INSERT INTO `suit` (`no_etud`, `no_cours`, `note`, `note_p`) VALUES
('10001', '20001', 75.5, b'1'),
('10002', '20001', 0, b'0'),
('10002', '20004', 0, b'0'),
('10002', '20005', 98, b'1'),
('10003', '20002', 80, b'1'),
('10003', '20004', 0, b'0'),
('10004', '20001', 0, b'1'),
('10004', '20003', 38, b'1'),
('10004', '20005', 79.5, b'1'),
('10006', '20004', 0, b'0'),
('10006', '20007', 62, b'1');

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `cours`
--
ALTER TABLE `cours`
  ADD PRIMARY KEY (`no_cours`),
  ADD KEY `no_prof` (`no_prof`);
ALTER TABLE `cours` ADD FULLTEXT KEY `rech_cours` (`titre`,`descr`);

--
-- Index pour la table `etud`
--
ALTER TABLE `etud`
  ADD PRIMARY KEY (`no_etud`);

--
-- Index pour la table `prof`
--
ALTER TABLE `prof`
  ADD PRIMARY KEY (`no_prof`);
ALTER TABLE `prof` ADD FULLTEXT KEY `rech_prof` (`nom`,`bio`);

--
-- Index pour la table `suit`
--
ALTER TABLE `suit`
  ADD PRIMARY KEY (`no_etud`,`no_cours`),
  ADD KEY `no_cours` (`no_cours`);

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `cours`
--
ALTER TABLE `cours`
  ADD CONSTRAINT `cours_ibfk_1` FOREIGN KEY (`no_prof`) REFERENCES `prof` (`no_prof`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `suit`
--
ALTER TABLE `suit`
  ADD CONSTRAINT `suit_ibfk_1` FOREIGN KEY (`no_etud`) REFERENCES `etud` (`no_etud`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `suit_ibfk_2` FOREIGN KEY (`no_cours`) REFERENCES `cours` (`no_cours`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
